Read a property
Read a property identified by .
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The type of object the property belongs to, such as 'contacts' or 'deals'.
The name of the property to retrieve.
Query Parameters
Whether to return only results that have been archived.
The level of data sensitivity to filter properties by. Valid values are 'non_sensitive', 'sensitive', and 'highly_sensitive'. Defaults to 'non_sensitive'.
highly_sensitive, non_sensitive, sensitive The locale to use for property labels and descriptions.
A comma-separated list of property names to include in the response.
Response
successful operation
A HubSpot property
A description of the property that will be shown as help text in HubSpot.
Controls how the property appears in HubSpot.
The name of the property group the property belongs to.
A human-readable property label that will be shown in HubSpot.
The internal property name, which must be used when referencing the property via the API.
A list of valid options for the property. This field is required for enumerated properties, but will be empty for other property types.
The property data type.
Whether or not the property is archived.
When the property was archived.
For default properties, true indicates that the property is calculated by a HubSpot process. It has no effect for custom properties.
Represents a formula that is used to compute a calculated property.
The timestamp when the property was created, in ISO 8601 format.
The internal user ID of the user who created the property in HubSpot. This field may not exist if the property was created outside of HubSpot.
The name of the currency property associated with this property, if applicable.
The sensitivity level of the data. Valid values include 'non_sensitive', 'sensitive', and 'highly_sensitive'.
highly_sensitive, non_sensitive, sensitive Indicates how date values should be displayed, with options such as 'absolute', 'absolute_with_relative', 'time_since', or 'time_until'.
absolute, absolute_with_relative, time_since, time_until Properties are shown in order, starting with the lowest positive integer value.
For default properties, true indicates that the options are stored externally to the property settings.
Whether or not the property can be used in a HubSpot form.
Whether or not the property's value must be unique. Once set, this can't be changed.
Whether or not the property will be hidden from the HubSpot UI. It's recommended this be set to false for custom properties.
false
This will be true for default object properties built into HubSpot.
A hint for displaying number properties. Valid values include 'unformatted', 'formatted', 'currency', 'percentage', 'duration', and 'probability'.
currency, duration, formatted, percentage, probability, unformatted If this property is related to other object(s), they'll be listed here.
An array of categories indicating the sensitivity of the data contained in the property.
Whether or not the property will display the currency symbol set in the account settings.
A hint for displaying text properties. Valid values include 'unformatted_single_line', 'multi_line', 'email', 'phone_number', 'domain_name', 'ip_address', 'physical_address', and 'postal_code'.
domain_name, email, ip_address, multi_line, phone_number, physical_address, postal_code, unformatted_single_line The timestamp when the property was last updated, in ISO 8601 format.
The internal user ID of the user who updated the property in HubSpot. This field may not exist if the property was updated outside of HubSpot.